import { NavDef } from "@/nav/defs";
import { type Ref } from "vue";
import NavView from "./nav-view.vue";
export declare class Navigate {
    private _params;
    private stack;
    readonly ref: Ref<NavDef>;
    constructor(init?: Ref<NavDef> | undefined);
    to(to: NavDef, params?: Map<string, any> | undefined): void;
    pop(): void;
    clear(): void;
    get params(): Map<string, any>;
}
export { NavView, NavDef };
