export declare class Repository {
    readonly prefix: string;
    constructor(prefix?: string);
    write: (key: string, value: string) => Promise<void>;
    read(key: string): Promise<string | undefined>;
    delete: (key: string) => Promise<void>;
    clear(): Promise<void>;
    private toKey;
}
