import type { Capture } from "@/service/capture";
import type { Store } from "@/service/store";
import type { Publish } from "@/service/publish";
export declare class InternalHandlers {
    private readonly capture;
    private readonly store;
    private readonly publish;
    constructor(store: Store, capture: Capture, publish: Publish);
    private onGmail;
    private onRetailer;
    private onReceipt;
    checkPayout(): Promise<void>;
}
